## debian-edu-doc 1.3~20100508~5.0.4+edu1

=== Makefile ===
SRCDIR  := $(CURDIR)/documentation
DESTDIR =

all: build

#
# norwegian is disabled as it only contains the itil documentation which fails to build in lenny and newer
# see ./todo
#

get-orig-source:
	$(MAKE) -C $(SRCDIR)/debian-edu-etch update
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny update
	$(MAKE) -C $(SRCDIR)/rosegarden update
	$(MAKE) -C $(SRCDIR)/audacity update
#	$(MAKE) -C $(SRCDIR)/norwegian update

status:
	$(MAKE) -C $(SRCDIR)/debian-edu-etch status
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny status
	$(MAKE) -C $(SRCDIR)/rosegarden status
	$(MAKE) -C $(SRCDIR)/audacity status
	# the itil document has not been translated yet.

build:
	$(MAKE) -C $(SRCDIR)/debian-edu-etch build
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny build
	$(MAKE) -C $(SRCDIR)/rosegarden build
	$(MAKE) -C $(SRCDIR)/audacity build
#	$(MAKE) -C $(SRCDIR)/norwegian build

install:
	$(MAKE) -C $(SRCDIR)/debian-edu-etch install
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny install
	$(MAKE) -C $(SRCDIR)/rosegarden install
	$(MAKE) -C $(SRCDIR)/audacity install
#	$(MAKE) -C $(SRCDIR)/norwegian install

dist-clean: clean
	$(MAKE) -C $(SRCDIR)/debian-edu-etch dist-clean
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny dist-clean
	$(MAKE) -C $(SRCDIR)/rosegarden dist-clean
	$(MAKE) -C $(SRCDIR)/audacity dist-clean
#	$(MAKE) -C $(SRCDIR)/norwegian dist-clean

clean:
	$(MAKE) -C $(SRCDIR)/debian-edu-etch clean
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny clean
	$(MAKE) -C $(SRCDIR)/rosegarden clean
	$(MAKE) -C $(SRCDIR)/audacity clean
#	$(MAKE) -C $(SRCDIR)/norwegian clean

=== documentation/rosegarden/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Manuals/Rosegarden/
name=rosegarden-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Rosegarden manual"
path1=DebianEdu/Documentation/Manuals/Rosegarden
path2='\/DebianEdu\/Documentation\/Manuals\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

start_new_translation:
	../scripts/start_new_translation $(LANGUAGE)

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== debian/changelog ===
debian-edu-doc (1.3~20100508~5.0.4+edu1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny manual from the wiki.
  * Provide source/format and set it to 1.0.

  [ Andreas B. Mundt ]
  * Fix some typos in German translation (thanks to Andreas Schockenhoff).
  * Update German translation of the Debian Edu lenny manual.
  * Add myself to Uploaders.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Jan Roar Rød ]
  * Update Bokmåtranslation  of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Mon, 05 Jul 2010 18:52:42 +0200

debian-edu-doc (1.3~20100308~5.0.4+edu1) unstable; urgency=low

  [ Jan Roar Rød ]
  * Update Bokmåtranslation  of the Debian Edu lenny manual.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Mar 2010 16:43:52 +0100

debian-edu-doc (1.3~20100223~5.0.4+edu0) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny manual from the wiki.
  * Bump standards-version to 3.8.4, no changes necessary. 
  * debian/control: update Homepage header to refer to the Lenny
    manual.
  * scripts/get_*: Apply patch by Andreas Mundt removing ugly spaces in the
    generated files. (Closes: #564915). Thanks Andi, especially also for the
    comments you added!
  * documentation/debian-edu-lenny/Makefile: Apply patch by Andreas Mundt to
    avoid hardcoding the release version, instead it gets extracted from the
    wiki now. Thanks again, Andi.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Jan Roar Rød ]
  * Update Bokmåtranslation  of the Debian Edu lenny manual.

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.
  * Minor fixes and corrections.

 -- Holger Levsen <holger@debian.org>  Tue, 23 Feb 2010 00:43:47 +0100

debian-edu-doc (1.3~20100207~5.0.4+edu0) unstable; urgency=low

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.

  [ Ole-Anders Andreassen and Jan Roar Rød ]
  * Update Bokmåtranslation  f the Debian Edu lenny manual.

  [ Norman Garcia ]
  * Update Spanish translation of the Debian Edu lenny manual.

  [ Holger Levsen ]
  * Make debian/mail_stats_to_list not send mail about the etch manual
    anymore.
  * Update the Debian Edu lenny manual from the wiki.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Feb 2010 12:38:19 +0100

debian-edu-doc (1.3~20100130~5.0.4+edu0~rc2) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny manual from the wiki.

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Ole-Anders Andreassen and Jan Roar Rød ]
  * Update Bokmåtranslation  of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Jan 2010 11:30:14 +0100

debian-edu-doc (1.3~20100115~5.0.3+edu0~rc1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny manual from the wiki.

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Jan 2010 20:15:36 +0100

debian-edu-doc (1.3~20100104~5.0.3+edu0~alpha) unstable; urgency=low

  [ Ralf Gesellensetter ] 
  * Update German translation of the Debian Edu lenny manual.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Andreas Mundt ]
  * Update German translation of the Debian Edu lenny manual.
    (Closes: #562997)

  [ Ludger Sicking ]
  * Update German translation of the Debian Edu lenny manual.
 
  [ Holger Levsen ]
  * Update the Debian Edu etch and lenny manuals from the wiki.
  * Add ${misc:Depends} to Depends for all binary packages.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2010 13:50:43 +0100

debian-edu-doc (1.3~20091215~5.0.3+edu0~alpha) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny manual from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Dec 2009 12:15:21 +0100

debian-edu-doc (1.3~20091203~5.0.3+edu0~alpha) unstable; urgency=low

  [ Holger Levsen ]
  * Update the Debian Edu lenny and the rosegarden manuals from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

  [ Philipp Huebner ]
  * Update the installation screenshots in English, German, Spanish, 
    Italian, French and Bokmal.

 -- Holger Levsen <holger@debian.org>  Thu, 03 Dec 2009 17:10:03 +0100

debian-edu-doc (1.3~20091109~5.0.3+edu0~alpha) unstable; urgency=low

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny and etch manuals.

  [ Holger Levsen ]
  * Update and fix instructions how to start new translations and update
    existing ones.
  * Update the Debian Edu lenny manual from the wiki. 

  [ Franziska Teichert ]
  * Update German translation of the Debian Edu lenny manual.

  [ Andrew Lee (李健秋) ]
  * Start translation of the Debian Edu lenny manual to Traditional Chinese.
    (Not activated in the binaries yet as too little has been translated.)

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Mon, 09 Nov 2009 12:29:37 +0100

debian-edu-doc (1.3~20091016~5.0.3+edu0~alpha) unstable; urgency=low

  * Update the Debian Edu lenny manual from the wiki. 
  * Update German translation of the Debian Edu etch manual by Roland 
    Teichert.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Oct 2009 10:50:29 +0200

debian-edu-doc (1.3~20090918~5.0.3+edu0~alpha) unstable; urgency=low



=== debian/control ===
Source: debian-edu-doc
Section: doc
Priority: optional
Build-Depends: debhelper (>= 5) 
Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Andreas B. Mundt <andi.mundt@web.de>
Standards-Version: 3.8.4
Homepage: http://wiki.debian.org/DebianEdu/Documentation/Lenny
Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/debian-edu-doc/
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-doc/

Package: debian-edu-doc
Depends: debian-edu-doc-en, debian-edu-doc-de, debian-edu-doc-es, debian-edu-doc-nb, debian-edu-doc-it, debian-edu-doc-fr, ${misc:Depends}
Architecture: all
Description: Documentation from the Debian Edu project (transitional package)
 This metapackage depends on all language specific documentation packages from
 the Debian Edu / Skolelinux project.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 .
 This is a transitional dummy package to ensure clean upgrades from
 etch to lenny. It can be safely removed after the upgrade.

Package: debian-edu-doc-en
Depends: ${misc:Depends}
Architecture: all
Description: English documentation from the Debian Edu project
 The English version of the manuals for the Lenny and Etch based releases of 
 the Debian Edu / Skolelinux project is included in this package, as well as 
 the rosegarden and audacity manuals.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 
Package: debian-edu-doc-de
Depends: debian-edu-doc-en, ${misc:Depends}
Architecture: all
Description: German documentation from the Debian Edu project
 The German version of the manuals for the Lenny and Etch based releases of 
 the Debian Edu / Skolelinux project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.
 
Package: debian-edu-doc-es
Depends: debian-edu-doc-en, ${misc:Depends}
Architecture: all
Description: Spanish documentation from the Debian Edu project
 The Spanish version of the manuals for the Lenny and Etch based releases of 
 the Debian Edu / Skolelinux project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-nb
Depends: debian-edu-doc-en, ${misc:Depends}
Architecture: all
Description: Bokmal documentation from the Debian Edu project
 The Bokmal version of the manuals for the Lenny and Etch based releases of
 the Debian Edu / Skolelinux project is included in this package, as well as
 the rosegarden manual.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-it
Depends: debian-edu-doc-en, ${misc:Depends}
Architecture: all
Description: Italian documentation from the Debian Edu project
 The Italian version of the manuals for the Lenny and Etch based releases of
 the Debian Edu / Skolelinux project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

Package: debian-edu-doc-fr
Depends: debian-edu-doc-en, ${misc:Depends}
Architecture: all
Description: French documentation from the Debian Edu project
 The French version of the manuals for the Lenny and Etch based releases of
 the Debian Edu / Skolelinux project is included in this package.
 .
 Debian Edu is a Debian project to make the best distribution for educational
 purposes. Skolelinux is the name of the Custom Debian Distribution which is
 produced by the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian
SRCDIR  := $(CURDIR)/documentation
DESTPATH = usr/share/doc/debian-edu-doc

get-orig-source:
	$(MAKE) get-orig-source
	
dist-clean: clean

clean:
	$(MAKE) dist-clean
	rm -f build-stamp
	rm -rf $(DESTDIR)/debian-edu-doc-?? $(DESTDIR)/debian-edu-doc
	dh_clean

build:	build-stamp
	$(MAKE)

build-stamp:
	touch build-stamp

binary: binary-arch binary-indep

binary-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#
	# build manuals
	#
	$(MAKE) install DESTDIR="$(DESTDIR)"

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installdocs -A debian/README
	dh_installdocs -p debian-edu-doc-en \
		documentation/debian-edu-lenny/README.debian-edu-lenny-manual-translations \
		documentation/debian-edu-etch/README.debian-edu-etch-manual-translations \
		documentation/rosegarden/README.rosegarden-manual-translations \
		documentation/audacity/README.audacity-manual-translations 
	dh_installchangelogs
	dh_link
	dh_compress -X.pdf -X.html
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## debian-edu-doc 1.3~20100928~5.0.6+edu1

=== documentation/debian-edu-etch/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Etch/
name=debian-edu-etch-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Etch 3.0 Codename 'Terra' Manual"
path1=DebianEdu/Documentation/Etch
path2='\/DebianEdu\/Documentation\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

start_new_translation:
	../scripts/start_new_translation $(LANGUAGE)

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/debian-edu-lenny/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Lenny/
name=debian-edu-lenny-manual
VERSION:=$(shell GET -H User-Agent: $(url)?action=raw |sed -n '1p'|sed -r 's/^([^0-9])*|([^0-9])*$$//g')
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Lenny $(VERSION) Manual"
path1=DebianEdu/Documentation/Lenny
path2='\/DebianEdu\/Documentation\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

start_new_translation:
	../scripts/start_new_translation $(LANGUAGE)

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== debian/changelog ===
debian-edu-doc (1.3~20100928~5.0.6+edu1) unstable; urgency=low

  [ Holger Levsen]
  * Update the Debian Edu lenny manual from the wiki.
  * Bump standards-version to 3.9.1, split uploaders line.

  [ Andreas B. Mundt ]
  * Update German translation of the Debian Edu lenny manual.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Tue, 28 Sep 2010 13:59:59 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,12 @@
 Build-Depends: debhelper (>= 5) 
 Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Olsen <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Andreas B. Mundt <andi.mundt@web.de>
-Standards-Version: 3.8.4
+Uploaders: Petter Reinholdtsen <pere@debian.org>, 
+ Morten Werner Olsen <werner@debian.org>, 
+ Steffen Joeris <white@debian.org>, 
+ Holger Levsen <holger@debian.org>, 
+ Andreas B. Mundt <andi.mundt@web.de>
+Standards-Version: 3.8.5
 Homepage: http://wiki.debian.org/DebianEdu/Documentation/Lenny
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/debian-edu-doc/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-doc/

## debian-edu-doc 1.4~20110828~6.0.2~beta1

=== Makefile ===
SRCDIR  := $(CURDIR)/documentation
DESTDIR =

all: build

#
# norwegian is disabled as it only contains the itil documentation which fails to build in lenny and newer
# see ./todo
#

get-orig-source:
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny update
	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze update
	$(MAKE) -C $(SRCDIR)/rosegarden update
	$(MAKE) -C $(SRCDIR)/audacity update
#	$(MAKE) -C $(SRCDIR)/norwegian update

status:
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny status
	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze status
	$(MAKE) -C $(SRCDIR)/rosegarden status
	$(MAKE) -C $(SRCDIR)/audacity status
	# the itil document has not been translated yet.

build:
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny build
	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze build
	$(MAKE) -C $(SRCDIR)/rosegarden build
	$(MAKE) -C $(SRCDIR)/audacity build
#	$(MAKE) -C $(SRCDIR)/norwegian build

install:
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny install
	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze install
	$(MAKE) -C $(SRCDIR)/rosegarden install
	$(MAKE) -C $(SRCDIR)/audacity install
#	$(MAKE) -C $(SRCDIR)/norwegian install

dist-clean: clean
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny dist-clean
	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze dist-clean
	$(MAKE) -C $(SRCDIR)/rosegarden dist-clean
	$(MAKE) -C $(SRCDIR)/audacity dist-clean
#	$(MAKE) -C $(SRCDIR)/norwegian dist-clean

clean:
	$(MAKE) -C $(SRCDIR)/debian-edu-lenny clean
	$(MAKE) -C $(SRCDIR)/rosegarden clean
	$(MAKE) -C $(SRCDIR)/audacity clean
#	$(MAKE) -C $(SRCDIR)/norwegian clean

=== documentation/audacity/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Manuals/Audacity/
name=audacity-manual
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Audacity manual"
path1=DebianEdu/Documentation/Manuals/Audacity
path2='\/DebianEdu\/Documentation\/Manuals\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

start_new_translation:
	../scripts/start_new_translation $(LANGUAGE)

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	# FIXME: en is build twice...
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/debian-edu-lenny/Makefile ===
--- 
+++ 
@@ -54,19 +54,18 @@
 
 install: build
 	# en needs to be first
-	# FIXME: en is build twice...
 	for f in en $(LANGUAGES) ; do \
 		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
 		mkdir -p $$LANGPATH ; \
 		if [ -e $(name).$$f.html ] ; then \
 			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
 			if [ "$$f" = "en" ] ; then \
-			  mkdir $$LANGPATH/images/ ; \
+			  mkdir -p $$LANGPATH/images/ ; \
 			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
 			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
 			else \
 			  if [ -d images/$$f ] ; then \
-			  	mkdir $$LANGPATH/images ; \
+			  	mkdir -p $$LANGPATH/images ; \
 			  	cd images ; \
 			  	for i in *.* ; do \
 					if [ -e $$f/$$i ] ; then \

=== documentation/debian-edu-squeeze/Makefile ===
#
# configuration here:
#
url=http://wiki.debian.org/DebianEdu/Documentation/Squeeze/
name=debian-edu-squeeze-manual
VERSION:=$(shell GET -H User-Agent: $(url)?action=raw |sed -n '1p'|sed -r 's/^([^0-9])*|([^0-9])*$$//g')
DEBIAN_EDU_DOC_TITLE="Debian Edu / Skolelinux Squeeze $(VERSION) Manual"
path1=DebianEdu/Documentation/Squeeze
path2='\/DebianEdu\/Documentation\/'
export 
#
# no configuration below 
#
DESTDIR=
DESTPATH = /usr/share/doc
LANGUAGES = `find . -name "$(name).*.po" | sed -e "s/.\/$(name).//" -e "s/.po//"`

all: build

start_new_translation:
	../scripts/start_new_translation $(LANGUAGE)

update:
	../scripts/get_manual
	../scripts/update_translations

status:
	@for f in *.po ; do \
		echo -n "$$f: "; \
		LANG=C msgfmt --statistics $$f -o /dev/null ; \
	done
	@cat fixme-status.txt

build:
	# create localized xml files
	-for i in $(name).*.po ; do { \
	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
	} done

	# Ignore errors because the docbook xml is broken
	#
	# build the english html version
	-openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).xml > $(name).en.html
	# Ignore errors because the docbook xml is broken
	#
	# build the other html versions
	-for f in $(LANGUAGES) ; do \
		openjade -t sgml -i html -E 1000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(name).$$f.xml > $(name).$$f.html ; \
	done
	# add utf8 content-type header to html versions
	for f in $(name).*.html ; do \
		sed -i "s%><TITLE%><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><TITLE%" $$f ; \
	done

install: build
	# en needs to be first
	for f in en $(LANGUAGES) ; do \
		export LANGPATH=$(DESTDIR)/debian-edu-doc-$$f/$(DESTPATH)/debian-edu-doc-$$f ; \
		mkdir -p $$LANGPATH ; \
		if [ -e $(name).$$f.html ] ; then \
			cp $(name).$$f.html $$LANGPATH/$(name).html ; \
			if [ "$$f" = "en" ] ; then \
			  mkdir -p $$LANGPATH/images/ ; \
			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
			else \
			  if [ -d images/$$f ] ; then \
			  	mkdir -p $$LANGPATH/images ; \
			  	cd images ; \
			  	for i in *.* ; do \
					if [ -e $$f/$$i ] ; then \
						cp -v $$f/$$i $$LANGPATH/images/ ; \
					else \
						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
					fi ; done ; \
			  	cd .. ; \
			  else \
			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
			  fi ; \
			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
			fi ; \
		fi ; \
	done 		

clean:
	rm -f *.pdf
	rm -f *.html
	rm -f $(name).*.xml

dist-clean:	clean

=== documentation/norwegian/Makefile ===
SRCDIR  := $(CURDIR)

DESTDIR =
DESTPATH = /usr/share/doc/debian-edu-doc-nb

all: build

update:
	# never called automatically:
	./get_itil

build:
	#
	# Build ITIL book
	#
	dblatex -T simple -o $(SRCDIR)/itil.pdf $(SRCDIR)/itil.xml
	-openjade -t sgml -i html -E 10000 -d /usr/share/docbook-utils/docbook-utils.dsl\#html -V paper-type=A4 -V nochunks /usr/share/sgml/declaration/xml.dcl $(SRCDIR)/itil.xml > $(SRCDIR)/itil.html

install:
	#
	# Install ITIL book
	#
	install -d $(DESTDIR)/debian-edu-doc-nb$(DESTPATH)/itil/
	install -m 644 $(SRCDIR)/itil.pdf $(SRCDIR)/itil.html $(DESTDIR)/debian-edu-doc-nb$(DESTPATH)/itil/ 

dist-clean: clean

clean:
	rm $(SRCDIR)/itil.pdf $(SRCDIR)/itil.html -f

=== debian/changelog ===
debian-edu-doc (1.4~20110828~6.0.2~beta1) unstable; urgency=low

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu squeeze manual.

  [ Holger Levsen ]
  * Update the manuals from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Sun, 28 Aug 2011 15:01:34 +0200

debian-edu-doc (1.4~20110626~6.0.2~beta1) unstable; urgency=low

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu squeeze and Rosegarden
    manuals.
 
  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu squeeze manual.

  [ Holger Levsen ]
  * Update the manuals from the wiki.
  * Bump standards-version to 3.9.2. 

 -- Holger Levsen <holger@debian.org>  Sun, 26 Jun 2011 09:47:40 +0200

debian-edu-doc (1.4~20110503~6.0.1~alpha2) unstable; urgency=low

  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu squeeze manual.

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu squeeze manual.
  * Start Spanish translation of the rosegarden manual.

  [ Holger Levsen ]
  * Add Spanish .po file for future translations of the rosegarden manual. 
  * Update the manuals from the wiki.
  * Build on Squeeze instead of Lenny.

 -- Holger Levsen <holger@debian.org>  Mon, 03 May 2011 14:25:26 +0200

debian-edu-doc (1.4~20110218~6.0.0~alpha1) unstable; urgency=low

  * Update the Debian Edu lenny manual from the wiki.
  * Add openjade to build-depends-indep. 
  * Actually bump standards-version to 3.9.1. 
  * Add Debian Edu Squeeze manual, drop Etch version.
    (The Etch manual is still available in the lenny packages on
    ftp.skolelinux.org.)
  * Update the Debian Edu squeeze and lenny manuals from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu lenny and squeeze manuals.

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu squeeze manual.

  [ Olivier Vitrat ]
  * Update and complete French translations of the Debian Edu lenny and
    squeeze manuals. (Closes: #603870, #604088)

  [ Jürgen Leibner ]
  * Update and complete the German translation of Debian Edu lenny manual.

 -- Holger Levsen <holger@debian.org>  Fri, 18 Feb 2011 13:11:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: doc
 Priority: optional
 Build-Depends: debhelper (>= 5) 
-Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a
+Build-Depends-Indep: docbook-utils, poxml, ldp-docbook-xsl, dblatex, po4a, openjade
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, 
  Morten Werner Olsen <werner@debian.org>, 
  Steffen Joeris <white@debian.org>, 
  Holger Levsen <holger@debian.org>, 
  Andreas B. Mundt <andi.mundt@web.de>
-Standards-Version: 3.8.5
+Standards-Version: 3.9.2
 Homepage: http://wiki.debian.org/DebianEdu/Documentation/Lenny
 Vcs-Svn: svn://svn.debian.org/svn/debian-edu/trunk/src/debian-edu-doc/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-doc/

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	dh_installdocs -A debian/README
 	dh_installdocs -p debian-edu-doc-en \
 		documentation/debian-edu-lenny/README.debian-edu-lenny-manual-translations \
-		documentation/debian-edu-etch/README.debian-edu-etch-manual-translations \
+		documentation/debian-edu-squeeze/README.debian-edu-squeeze-manual-translations \
 		documentation/rosegarden/README.rosegarden-manual-translations \
 		documentation/audacity/README.audacity-manual-translations 
 	dh_installchangelogs

## debian-edu-doc 1.4~20111223~6.0.3~beta1

=== debian/changelog ===
debian-edu-doc (1.4~20111223~6.0.3~beta1) unstable; urgency=low

  [ Holger Levsen ]
  * debian/mail_stats_to_list: only send mail about the Squeeze manual.
  * Update the manuals from the wiki.

  [ Rafael Rivas ]
  * Update Spanish translation of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Dec 2011 16:00:46 +0100

debian-edu-doc (1.4~20111009~6.0.3~beta1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Sun, 09 Oct 2011 15:21:09 +0200

debian-edu-doc (1.4~20110916~6.0.2~beta1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki.
  * Move network-arch.dia from documentation/debian-edu-lenny/images/source/
    to the squeeze directory.

  [ Claudio Carboncini ]
  * Update Italian translations of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Sep 2011 00:23:54 +0200

## debian-edu-doc 1.4~20111224~6.0.3~beta1

=== debian/changelog ===
debian-edu-doc (1.4~20111224~6.0.3~beta1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Dec 2011 10:15:31 +0100

## debian-edu-doc 1.4~20120123~6.0.3~beta3

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 
 get-orig-source:
-	$(MAKE) -C $(SRCDIR)/debian-edu-lenny update
+#	$(MAKE) -C $(SRCDIR)/debian-edu-lenny update
 	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze update
 	$(MAKE) -C $(SRCDIR)/rosegarden update
 	$(MAKE) -C $(SRCDIR)/audacity update

=== documentation/audacity/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 update:
 	../scripts/get_manual
-	../scripts/update_translations
+	po4a --no-translations po4a.cfg
 
 status:
 	@for f in *.po ; do \
@@ -32,9 +32,7 @@
 
 build:
 	# create localized xml files
-	-for i in $(name).*.po ; do { \
-	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
-	} done
+	po4a po4a.cfg
 
 	# Ignore errors because the docbook xml is broken
 	#
@@ -64,7 +62,6 @@
 			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
 			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
 			else \
-			  if [ -d images/$$f ] ; then \
 			  	mkdir $$LANGPATH/images ; \
 			  	cd images ; \
 			  	for i in *.* ; do \
@@ -74,9 +71,6 @@
 						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
 					fi ; done ; \
 			  	cd .. ; \
-			  else \
-			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
-			  fi ; \
 			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
 			fi ; \
 		fi ; \

=== documentation/debian-edu-lenny/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 update:
 	../scripts/get_manual
-	../scripts/update_translations
+	po4a --no-translations po4a.cfg
 
 status:
 	@for f in *.po ; do \
@@ -33,9 +33,7 @@
 
 build:
 	# create localized xml files
-	-for i in $(name).*.po ; do { \
-	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
-	} done
+	po4a po4a.cfg
 
 	# Ignore errors because the docbook xml is broken
 	#
@@ -64,7 +62,6 @@
 			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
 			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
 			else \
-			  if [ -d images/$$f ] ; then \
 			  	mkdir -p $$LANGPATH/images ; \
 			  	cd images ; \
 			  	for i in *.* ; do \
@@ -74,9 +71,6 @@
 						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
 					fi ; done ; \
 			  	cd .. ; \
-			  else \
-			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
-			  fi ; \
 			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
 			fi ; \
 		fi ; \

=== documentation/debian-edu-squeeze/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 update:
 	../scripts/get_manual
-	../scripts/update_translations
+	po4a --no-translations po4a.cfg
 
 status:
 	@for f in *.po ; do \
@@ -33,9 +33,7 @@
 
 build:
 	# create localized xml files
-	-for i in $(name).*.po ; do { \
-	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
-	} done
+	po4a po4a.cfg
 
 	# Ignore errors because the docbook xml is broken
 	#
@@ -64,7 +62,6 @@
 			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
 			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
 			else \
-			  if [ -d images/$$f ] ; then \
 			  	mkdir -p $$LANGPATH/images ; \
 			  	cd images ; \
 			  	for i in *.* ; do \
@@ -74,9 +71,6 @@
 						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
 					fi ; done ; \
 			  	cd .. ; \
-			  else \
-			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
-			  fi ; \
 			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
 			fi ; \
 		fi ; \

=== documentation/rosegarden/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 update:
 	../scripts/get_manual
-	../scripts/update_translations
+	po4a --no-translations po4a.cfg
 
 status:
 	@for f in *.po ; do \
@@ -32,9 +32,7 @@
 
 build:
 	# create localized xml files
-	-for i in $(name).*.po ; do { \
-	        po4a-translate -o tags="<listitem> <emphasis>" -M UTF-8 -k 5 -f docbook -m $(name).xml -p $$i -l $${i%.po}.xml ; \
-	} done
+	po4a po4a.cfg
 
 	# Ignore errors because the docbook xml is broken
 	#
@@ -64,7 +62,6 @@
 			  find images -maxdepth 1 -type f -exec cp \{\} $$LANGPATH/images/ \; ; \
 			  dblatex -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).xml ; \
 			else \
-			  if [ -d images/$$f ] ; then \
 			  	mkdir $$LANGPATH/images ; \
 			  	cd images ; \
 			  	for i in *.* ; do \
@@ -74,9 +71,6 @@
 						ln -sf ../../debian-edu-doc-en/images/$$i $$LANGPATH/images/$$i ; \
 					fi ; done ; \
 			  	cd .. ; \
-			  else \
-			    ln -sf ../debian-edu-doc-en/images $$LANGPATH/images ; \
-			  fi ; \
 			  mv images images_tmp_away ; dblatex -I $$LANGPATH/ -I $(DESTDIR)/debian-edu-doc-en/$(DESTPATH)/debian-edu-doc-en/ -T db2latex -p $(name).xsl -o $$LANGPATH/$(name).pdf $(name).$$f.xml ; mv images_tmp_away images ; \
 			fi ; \
 		fi ; \

=== debian/changelog ===
debian-edu-doc (1.4~20120123~6.0.3~beta3) unstable; urgency=low

  [ David Prévot ]
  * Grab smiley from wiki.d.o to be included in PDF and HTML.
  * Handle English images by default in translated HTML documents.

  [ Holger Levsen ]
  * Update the manuals from the wiki.
  * Makefile: disable updating the Debian Edu lenny manual for the
    get-orig-source target. If this there are still changes, the manual
    sources can still be updated manually.

 -- Holger Levsen <holger@debian.org>  Mon, 23 Jan 2012 12:58:24 +0100

debian-edu-doc (1.4~20120122~6.0.3~beta3+1) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki, including new images thanks to Davids
    fix.

  [ David Prévot ]
  * Rewrite build and update rules to use a po4a config file.
  * scripts/get_images: Fix images URLs. (Closes: #656846)

 -- Holger Levsen <holger@debian.org>  Sun, 22 Jan 2012 20:19:09 +0100

debian-edu-doc (1.4~20120122~6.0.3~beta3) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Sun, 22 Jan 2012 12:42:25 +0100

debian-edu-doc (1.4~20120120~6.0.3~beta3) unstable; urgency=low

  [ Holger Levsen ]
  * Update the manuals from the wiki after proofreading by Justin B. Rye
    and Wolfgang Schweer. Thank you very much for this!

  [ Rafael Rivas ]
  * Update Spanish translations of the Debian Edu squeeze manual and the
    Rosegarden manual.

 -- Holger Levsen <holger@debian.org>  Fri, 20 Jan 2012 02:22:26 +0100

## debian-edu-doc 1.4~20120131~6.0.4~beta3

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,14 @@
 	$(MAKE) -C $(SRCDIR)/rosegarden update
 	$(MAKE) -C $(SRCDIR)/audacity update
 #	$(MAKE) -C $(SRCDIR)/norwegian update
+
+update-copyright:
+	$(MAKE) -C $(SRCDIR)/debian-edu-lenny update-copyright
+	$(MAKE) -C $(SRCDIR)/debian-edu-squeeze update-copyright
+	$(MAKE) -C $(SRCDIR)/rosegarden update-copyright
+	$(MAKE) -C $(SRCDIR)/audacity update-copyright
+	cat debian/copyright.packaging $(SRCDIR)/*/copyright.manual > debian/copyright
+	rm documentation/*/copyright.manual
 
 status:
 	$(MAKE) -C $(SRCDIR)/debian-edu-lenny status

=== documentation/audacity/Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 update:
 	../scripts/get_manual
 	po4a --no-translations po4a.cfg
+
+update-copyright:
+	../scripts/get_copyright $(path1) $(name)
 
 status:
 	@for f in *.po ; do \

=== documentation/debian-edu-lenny/Makefile ===
--- 
+++ 
@@ -23,6 +23,9 @@
 update:
 	../scripts/get_manual
 	po4a --no-translations po4a.cfg
+
+update-copyright:
+	../scripts/get_copyright $(path1) $(name)
 
 status:
 	@for f in *.po ; do \

=== documentation/debian-edu-squeeze/Makefile ===
--- 
+++ 
@@ -23,6 +23,9 @@
 update:
 	../scripts/get_manual
 	po4a --no-translations po4a.cfg
+
+update-copyright:
+	../scripts/get_copyright $(path1) $(name)
 
 status:
 	@for f in *.po ; do \

=== documentation/rosegarden/Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 update:
 	../scripts/get_manual
 	po4a --no-translations po4a.cfg
+
+update-copyright:
+	../scripts/get_copyright $(path1) $(name)
 
 status:
 	@for f in *.po ; do \

=== debian/changelog ===
debian-edu-doc (1.4~20120131~6.0.4~beta3) unstable; urgency=low

  [ David Prévot ]
  * Grab manual copyright information from the wiki.
  * scripts/get_manual: Affect a unique id to every section, and handle all
    internal links properly.

  [ Holger Levsen ]
  * Update the manuals from the wiki.

  [ Jürgen Leibner ]
  * Added the source file for the Debian Edu Network image.

  [ Claudio Carboncini ]
  * Update Italian translation of the Debian Edu squeeze manual.

 -- Holger Levsen <holger@debian.org>  Tue, 31 Jan 2012 10:20:08 +0100
